
TYPO3.Flow - Bug # 33519

Status: Resolved Priority: Must have
Author: Aske Ertmann Category: MVC - Routing
Created: 2012-01-29 Assigned To: Aske Ertmann
Updated: 2012-05-15 Due date:
PHP Version: 5.3
Has patch: Yes
Complexity: no-brainer
Affected Flow version: Git master
Subject: Route always appends a question mark even if the route already has arguments
Description

The Route class (MVC\Web\Routing\Route) always append additionalParameters etc., with a question mark in front even though the
url could have arguments already. This happens if a routehandler resolves everything & creates the argument string by it self.

Related issues:
related to TYPO3.Flow - Feature # 33539: Append query arguments from RoutePar... Rejected 2012-01-30
duplicated by TYPO3.Flow - Bug # 36859: URLs Break if the Route return a URI ... Closed 2012-05-05

Associated revisions
Revision dc3532f4 - 2012-04-30 23:40 - Aske Ertmann 

[BUGFIX] Prevent Route class from appending an extra question mark

Change-Id: I965367962786ab1ba923dbaae304e0d02afdfdc1
Fixes: #33519
Related: #33539
Releases: 1.1

History
#1 - 2012-01-29 22:49 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8766

#2 - 2012-01-30 18:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8766

#3 - 2012-01-30 18:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8766

2015-08-03 1/2

http://review.typo3.org/8766
http://review.typo3.org/8766
http://review.typo3.org/8766


#4 - 2012-01-30 18:25 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8766

#5 - 2012-04-30 23:41 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8766

#6 - 2012-05-15 15:21 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Assigned To set to Aske Ertmann
- % Done changed from 0 to 100
